Trigger event
curl --request POST \
--url https://api.notifique.dev/v1/events/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "string",
"payload": {},
"contactId": "clxx...",
"email": "cliente@example.com",
"phone": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'string',
payload: {},
contactId: 'clxx...',
email: 'cliente@example.com',
phone: 'string'
})
};
fetch('https://api.notifique.dev/v1/events/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/events/send"
payload = {
"event": "string",
"payload": {},
"contactId": "clxx...",
"email": "cliente@example.com",
"phone": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/events/send"
payload := strings.NewReader("{\n \"event\": \"string\",\n \"payload\": {},\n \"contactId\": \"clxx...\",\n \"email\": \"cliente@example.com\",\n \"phone\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}Eventos
Trigger event
Fire an event and start linked automations.
POST
/
v1
/
events
/
send
Trigger event
curl --request POST \
--url https://api.notifique.dev/v1/events/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": "string",
"payload": {},
"contactId": "clxx...",
"email": "cliente@example.com",
"phone": "string"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event: 'string',
payload: {},
contactId: 'clxx...',
email: 'cliente@example.com',
phone: 'string'
})
};
fetch('https://api.notifique.dev/v1/events/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/events/send"
payload = {
"event": "string",
"payload": {},
"contactId": "clxx...",
"email": "cliente@example.com",
"phone": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/events/send"
payload := strings.NewReader("{\n \"event\": \"string\",\n \"payload\": {},\n \"contactId\": \"clxx...\",\n \"email\": \"cliente@example.com\",\n \"phone\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}Authorizations
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Headers
Chave única por disparo lógico no workspace.
Maximum string length:
256Body
application/json
Exatamente um entre contactId, email, phone deve ser enviado.
Response
Disparo aceito. runs pode ser vazio; idempotentReplay quando a mesma Idempotency-Key já foi processada.
Resposta JSON vazia (sucesso sem payload).
Example:
true
Was this page helpful?

